## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:           mpark-patterns
Version:        0.3.0
Release:        %autorelease
Summary:        An experimental pattern matching library for C++17

License:        BSL-1.0
URL:            https://github.com/mpark/patterns
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# change installation path for headers
# use system gtest
# disable balance test - requires lots of ram
Patch:          cmake.patch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel


%description
%{summary}.


%package        devel
Summary:        Header files for %{name}
BuildArch:      noarch
Provides:       %{name}-static = %{version}-%{release}

%description    devel
%{summary}.


%prep
%autosetup -n patterns-%{version} -p1


%build
%cmake -DMPARK_PATTERNS_INCLUDE_TESTS=ON
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license LICENSE.md
%doc README.md
%{_includedir}/mpark/
%{_datadir}/cmake/mpark_patterns/


%changelog
* Fri Oct 13 2023 Pavel Solovev <daron439@gmail.com> - 0.3.0-1
- import #2243792
